futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Language.Futhark.Tuple

Synopsis

- areTupleFields :: Map Name a -> Maybe [a]
- tupleFields :: [a] -> Map Name a
- tupleFieldNames :: [Name]
- sortFields :: Map Name a -> [(Name, a)]

# Documentation

areTupleFields :: Map Name a -> Maybe [a] Source #

Does this record map correspond to a tuple?

tupleFields :: [a] -> Map Name a Source #

Construct a record map corresponding to a tuple.

tupleFieldNames :: [Name] Source #

Increasing field names for a tuple (starts at 0).

sortFields :: Map Name a -> [(Name, a)] Source #

Sort fields by their name; taking care to sort numeric fields by their numeric value. This ensures that tuples and tuple-like records match.